Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 722930 - app-emulation/xen-tools-4.13.0-r2 : fails to build with -fno-common or gcc-10
Summary: app-emulation/xen-tools-4.13.0-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tomáš Mózes
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-05-14 08:07 UTC by Toralf Förster
Modified: 2020-05-25 14:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.75 KB, text/plain)
2020-05-14 08:07 UTC, Toralf Förster
Details
app-emulation:xen-tools-4.13.0-r2:20200514-080332.log (app-emulation:xen-tools-4.13.0-r2:20200514-080332.log,674.22 KB, text/plain)
2020-05-14 08:07 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,84.44 KB, text/plain)
2020-05-14 08:07 UTC, Toralf Förster
Details
environment (environment,121.50 KB, text/plain)
2020-05-14 08:07 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.11 KB, application/x-bzip)
2020-05-14 08:07 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.48 KB, application/x-bzip)
2020-05-14 08:07 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,37.38 KB, application/x-bzip)
2020-05-14 08:07 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-05-14 08:07:14 UTC
x86_64-pc-linux-gnu-gcc xs_tdb_dump.o utils.o tdb.o talloc.o      -o xs_tdb_dump 
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: utils.o:(.data.rel.local+0x0): multiple definition of `xprintf'; xs_tdb_dump.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200512-121505

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.1.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (fallback)
  [3]   python3.6 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.43.1 *
The Glorious Glasgow Haskell Compilation System, version 8.0.2

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu 14 May 2020 07:05:22 AM UTC

emerge -qpvO app-emulation/xen-tools
[ebuild  N    ] app-emulation/xen-tools-4.13.0-r2  USE="hvm ipxe pam qemu qemu-traditional rombios -api -debug -doc -flask -ocaml -ovmf -pygrub -python -screen -sdl -static-libs -system-ipxe -system-qemu -system-seabios" PYTHON_SINGLE_TARGET="python3_7 -python3_6 -python3_8"
Comment 1 Toralf Förster gentoo-dev 2020-05-14 08:07:17 UTC
Created attachment 638788 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-05-14 08:07:20 UTC
Created attachment 638790 [details]
app-emulation:xen-tools-4.13.0-r2:20200514-080332.log
Comment 3 Toralf Förster gentoo-dev 2020-05-14 08:07:23 UTC
Created attachment 638792 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-05-14 08:07:25 UTC
Created attachment 638794 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-05-14 08:07:28 UTC
Created attachment 638796 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-05-14 08:07:31 UTC
Created attachment 638798 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-05-14 08:07:34 UTC
Created attachment 638800 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-05-25 14:21:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab132ad91fa4e41eca3bc48eebae586c6ba58a11

commit ab132ad91fa4e41eca3bc48eebae586c6ba58a11
Author:     Tomáš Mózes <hydrapolic@gmail.com>
AuthorDate: 2020-05-19 10:45:43 +0000
Commit:     Yixun Lan <dlan@gentoo.org>
CommitDate: 2020-05-25 14:20:03 +0000

    app-emulation/xen-tools: bump to 4.12.3
    
    Closes: https://bugs.gentoo.org/722930
    Closes: https://bugs.gentoo.org/713876
    Closes: https://github.com/gentoo/gentoo/pull/15857
    Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com>
    Signed-off-by: Yixun Lan <dlan@gentoo.org>

 app-emulation/xen-tools/Manifest                  |   2 +
 app-emulation/xen-tools/files/gentoo-patches.conf |  14 +
 app-emulation/xen-tools/xen-tools-4.12.3.ebuild   | 500 ++++++++++++++++++++++
 3 files changed, 516 insertions(+)